package com.ynet.life.sujrb.base;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.base.logon.LifeLogonEntryConfig;

/* loaded from: com_ynet_life_sujrb_base.jar:com/ynet/life/sujrb/base/PBLogonEntryConfig.class */
public class PBLogonEntryConfig implements LifeLogonEntryConfig {
    private static final String SQL_SELECT = "select JEC_SESSIONID,JEC_SERVER from JRB_ENTRY_CTRL where JEC_USERID=?";
    private static final String SQL_INSERT = "insert into JRB_ENTRY_CTRL(JEC_USERID,JEC_SESSIONID,JEC_LOGONTIME,JEC_SERVER) values (?,?,?,?)";
    private static final String SQL_UPDATE = "update JRB_ENTRY_CTRL set JEC_SESSIONID=?,JEC_SERVER=?,JEC_LOGONTIME=? where JEC_USERID=?";
    private static final String SQL_CLEAN = "delete from JRB_ENTRY_CTRL where JEC_LOGONTIME<?";

    public String getCleanSQL() {
        return SQL_CLEAN;
    }

    public String getInsertSQL() {
        return SQL_INSERT;
    }

    public String getSelectSQL() {
        return SQL_SELECT;
    }

    public String getUpdateSQL() {
        return SQL_UPDATE;
    }

    public String getUserId(Context context) {
        String userId = null;
        try {
            userId = (String) context.getDataValue(TEntity.USER_ID);
        } catch (GENEException ex) {
            Trace.logError("LifeAction", "获得用户ID错误", ex);
        }
        return userId;
    }
}
